{
  "name": "pimcity-personal-consent-manager-api",
  "version": "0.1.0",
  "description": "PIMCity Personal Consent Manager API",
  "author": "Dani Fernandez <daniel@wibson.io>",
  "main": "src/index.ts",
  "private": false,
  "license": "AGPL-3.0-only",
  "engines": {
    "node": "=12"
  },
  "scripts": {
    "prebuild": "rm -rf dist/",
    "build": "tsc",
    "postbuild": "cpy '**/*' '!**/*.ts' ../dist/ --cwd=src/ --no-overwrite --parents",
    "serve": "node dist/index.js",
    "start": "nodemon src/index.ts",
    "debug": "nodemon --inspect=0.0.0.0:9229 src/index.ts",
    "deploy": "scripts/deploy.sh $npm_package_name $npm_package_version",
    "e2e": "ava -t **/*.e2e.js | faucet",
    "test": "ava --tap | faucet",
    "test:watch": "ava --watch",
    "test:coverage": "nyc npm test",
    "test:performance": "ava -t **/*.test.js | faucet",
    "lint": "eslint .",
    "lint:fix": "eslint . --fix"
  },
  "dependencies": {
    "aws-sdk": "2.828.0",
    "core-js": "3.8.2",
    "cors": "2.8.5",
    "csv-string": "4.0.1",
    "date-fns": "2.16.1",
    "dotenv": "8.2.0",
    "express": "4.17.1",
    "express-boom": "3.0.0",
    "express-jwt": "6.0.0",
    "express-openapi-validator": "4.13.5",
    "express-promise-router": "4.0.1",
    "express-session": "1.17.2",
    "glob": "7.1.6",
    "helmet": "4.4.0",
    "jsonwebtoken": "8.5.1",
    "jwks-rsa": "1.12.2",
    "keycloak-connect": "16.1.0",
    "morgan": "1.10.0",
    "node-fetch": "2.6.1",
    "node-forge": "0.10.0",
    "ramda": "0.27.1",
    "regenerator-runtime": "0.13.4",
    "swagger-ui-express": "4.3.0",
    "tslib": "2.1.0",
    "uuid": "8.3.2",
    "winston": "3.3.3",
    "yamljs": "0.3.0"
  },
  "devDependencies": {
    "@ava/babel": "1.0.1",
    "@babel/cli": "7.12.10",
    "@babel/core": "7.12.10",
    "@babel/node": "7.12.10",
    "@types/node-fetch": "2.5.11",
    "@babel/preset-env": "7.12.11",
    "@babel/register": "7.12.10",
    "@types/cors": "2.8.9",
    "@types/express": "4.17.11",
    "@types/express-boom": "3.0.0",
    "@types/express-jwt": "6.0.0",
    "@types/express-session": "1.17.4",
    "@types/glob": "7.1.3",
    "@types/morgan": "1.9.2",
    "@types/node": "14.14.25",
    "@types/node-forge": "0.9.7",
    "@types/ramda": "0.27.35",
    "@types/sinon": "9.0.10",
    "@types/supertest": "2.0.10",
    "@types/swagger-ui-express": "4.1.3",
    "@types/uuid": "8.3.0",
    "@types/yamljs": "0.2.31",
    "@typescript-eslint/eslint-plugin": "4.14.0",
    "@typescript-eslint/parser": "4.14.0",
    "ava": "3.15.0",
    "chai": "4.2.0",
    "cpy-cli": "3.1.1",
    "eslint": "7.2.0",
    "eslint-config-airbnb-base": "14.2.1",
    "eslint-plugin-import": "2.22.1",
    "faucet": "0.0.1",
    "nodemon": "2.0.7",
    "nyc": "15.1.0",
    "openapi-types": "7.2.3",
    "sinon": "9.2.3",
    "supertest": "6.1.1",
    "testdouble": "3.16.1",
    "ts-node": "9.1.1",
    "typescript": "4.1.3"
  },
  "nodemonConfig": {
    "execMap": {
      "ts": "babel-node -r ts-node/register"
    },
    "watch": [
      "src/",
      ".env",
      "."
    ],
    "ext": "js,json,ts,.env",
    "ignore": [
      ".git",
      "node_modules/",
      "dist/",
      "coverage/",
      "__mocks__/*",
      "__test__/*",
      "*.test.js"
    ],
    "delay": "1000"
  },
  "nyc": {
    "check-coverage": true,
    "lines": 50,
    "cache": false,
    "reporter": [
      "html",
      "text",
      "lcov"
    ],
    "exclude": [
      "test/**",
      "config/**",
      "babel.config.js"
    ]
  },
  "ava": {
    "files": [
      "**/*.test.{js,ts}",
      "!**/*.performance.test.{js,ts}"
    ],
    "extensions": [
      "ts"
    ],
    "cache": true,
    "concurrency": 5,
    "failWithoutAssertions": false,
    "tap": true,
    "verbose": true,
    "babel": {
      "compileEnhancements": false
    },
    "require": [
      "ts-node/register",
      "@babel/register",
      "core-js/stable",
      "regenerator-runtime/runtime"
    ]
  }
}
